export const GRADE_BOOK_TAB_SLUG = "maka.group_efforts";

export const collectionItems = {
  coreGroupOverview: [
    {
      tab: {
        id: GRADE_BOOK_TAB_SLUG,
        titleKey: "group.tabs.group_efforts_tab",
      },
      titleKey: "group.tabs.group_efforts",
      component: () => import("./components/efforts/GroupPage_EffortTab.vue"),
    },
  ],
};

export default {
  meta: {
    inMenu: true,
    titleKey: "maka.menu_title",
    icon: "mdi-star-box-outline",
    iconActive: "mdi-star-box",
    permission: "maka.view_menu_rule",
  },
  children: [
    {
      path: "grades",
      component: () =>
        import("./components/grade_management/GradeManagement.vue"),
      name: "maka.gradeManagement",
      meta: {
        inMenu: true,
        titleKey: "maka.grade_set.menu_title",
        toolbarTitle: "maka.grade_set.title_plural",
        icon: "mdi-star-settings-outline",
        iconActive: "mdi-star-settings",
        permission: "maka.view_gradesets_rule",
      },
    },
    {
      path: "types",
      component: () => import("./components/effort_types/EffortTypes.vue"),
      name: "maka.effortTypes",
      meta: {
        inMenu: true,
        titleKey: "maka.effort_types.menu_title",
        toolbarTitle: "maka.effort_types.title_plural",
        icon: "mdi-folder-star-multiple-outline",
        iconActive: "mdi-folder-star-multiple",
        permission: "maka.view_efforttypes_rule",
      },
    },
    {
      path: "efforts",
      component: () => import("./components/efforts/WrappedEfforts.vue"),
      name: "maka.efforts",
      meta: {
        inMenu: true,
        titleKey: "maka.efforts.menu_title",
        toolbarTitle: "maka.efforts.title_plural",
        icon: "mdi-playlist-star",
        iconActive: "mdi-playlist-remove",
        permission: "maka.view_efforts_rule",
      },
    },
  ],
};
